### Method

# Ide Snippet set_description

#### Declaration

    void
    ide_snippet_set_description (
      IdeSnippet* self,
      const gchar* description
    )

#### Description

Sets the description for the snippet.

Available since: | 3.32

Sets property | `Ide.Snippet:description`

#### Parameters

`description` | `const gchar*`
| The snippet description.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.